Summary:		OpenH323 Library
Name:				openh323
Version:		1.11.2
Release:		5mdk
License:		MPL
Group:			System/Libraries
Source0:		http://www.openh323.org/bin/%{name}_%{version}.tar.bz2
Patch0:			%{name}-1.11.2-mak_files.patch.bz2
Patch1:			%{name}-1.8.0-libname.patch.bz2
Patch2:			%{name}-1.11.2-pic.patch.bz2
Patch3:			%{name}-1.11.2-lib64.patch.bz2
URL:			http://www.openh323.org/
BuildRequires:	pwlib-devel >= 1.4.7 XFree86-devel openssl-devel gawk
BuildRoot:		%_tmppath/%name-%version-%release-root

%description
This is a Open Source class library for the development of
applications that wish to use the H.323 protocol for multi-media
communications over packet based networks.

%package -n openh323_1
Summary:	OpenH323 Library
Group:		System/Libraries

%description  -n openh323_1
The OpenH323 project aims to create a full featured, interoperable,
Open Source implementation of the ITU H.323 teleconferencing protocol
that can be used by personal developers and commercial users without
charge.

%package -n openh323_1-devel
Summary:	OpenH323 development files
Group:		Development/C
Requires:	openh323_1 = %version-%release 
Provides:	openh323-devel

%description -n openh323_1-devel
Header files and libraries for developing applications that use
OpenH323.

%prep
%setup -qn %{name}
%patch0 -p1 -b .fix_mak
%patch1 -p1 -b .libname
%patch2 -p1 -b .pic
%patch3 -p1 -b .lib64

%build

(mkdir pwlibdir; cd pwlibdir;
ln -s %{_prefix}/share/pwlib make
ln -s %{_prefix}/share share
ln -s %{_prefix}/include include
ln -s %{_prefix}/%{_lib} lib
mkdir -p tools
ln -s %{_prefix}/bin tools/asnparser
ln -s %{_prefix}/bin bin
)
export PWLIBDIR=%{_builddir}/openh323/pwlibdir
export OPENH323DIR=%{_builddir}/openh323
make optshared OPTCCFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_includedir}/openh323,%{_bindir},%{_datadir}/misc}

cp -a %{_lib}/lib*so* $RPM_BUILD_ROOT%{_libdir}
install include/*.h $RPM_BUILD_ROOT%{_includedir}/openh323

sed -e's@\$(OPENH323DIR)/include@&/openh323@' < openh323u.mak \
	> $RPM_BUILD_ROOT%{_datadir}/misc/openh323u.mak

gzip -9nf *.txt || :
zcat ReadMe.txt.gz > ReadMe.txt

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig -n openh323_1
%postun -p /sbin/ldconfig -n openh323_1

%files -n openh323_1
%defattr(644,root,root,755)
%doc ReadMe.txt mpl-1.0.htm
%attr(755,root,root) %{_libdir}/lib*.so.*

%files -n openh323_1-devel
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_libdir}/*.so
%{_includedir}/*
%{_datadir}/misc/*



%changelog
* Wed Mar 05 2003 Florin <florin@mandrakesoft.com> 1.11.2-5mdk
- rebuild

* Mon Jan 20 2003 Florin <florin@mandrakesoft.com> 1.11.2-4mdk
- rebuild for 9.0

* Mon Jan 20 2003 Florin <florin@mandrakesoft.com> 1.11.2-3mdk
- fix the pwlib BuildRequires 
- remove the obsolete Speex patch and source

* Fri Jan 17 2003 Florin <florin@mandrakesoft.com> 1.11.2-1mdk
- 1.11.2

* Mon Dec  2 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.9.10-4mdk
- Fix %%doc
- Patch3: Build objects with PIC
- Patch4: Make it lib64 aware

* Wed Oct 30 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.9.10-3mdk
- remove egcs++ usage for PPC

* Fri Oct 25 2002 Florin <florin@mandrakesoft.com> 1.9.10-2mdk
- add the forgotten speex headers
- add some docs

* Thu Oct 24 2002 Florin <florin@mandrakesoft.com> 1.9.10-1mdk
- 1.9.10

* Wed Oct 09 2002 Laurent Grawet <laurent.grawet@ibelgique.com> 1.9.9-2mdk
- Added Speex support and patch4

* Tue Oct 08 2002 Laurent Grawet <laurent.grawet@ibelgique.com> 1.9.9-1mdk
- 1.9.9
- regenerated patch0, added patch3 (gcc 3.2 fix)

* Tue Aug 13 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.9.3-2mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Thu Aug 01 2002 Florin <florin@mandrakesoft.com> 1.9.3-1mdk
- 1.9.3

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.8.8-2mdk
- Automated rebuild with gcc3.2

* Tue Jun 04 2002 Florin <florin@mandrakesoft.com> 1.8.8-1mdk
- 1.8.8

* Fri May 03 2002 Florin <florin@mandrakesoft.com> 1.8.5-1mdk
- 1.8.5
- comment out the timeout patch

* Sat Mar 23 2002 David BAUDENS <baudens@mandrakesoft.com> 1.8.0-4mdk
- Requires: %%version-%%release and not only %%version

* Mon Mar 11 2002 Florin <florin@mandrakesoft.com> 1.8.0-3mdk
- recompile with the latest pwlib

* Wed Feb 27 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.8.0-2mdk
- PPC gcc295 doesn't care for data member `ip_opts' with same 
- name as enclosing class - build with egcs++

* Tue Feb 26 2002 Florin <florin@mandrakesoft.com> 1.8.0-1mdk
- 1.8.0
- add the timeout patch
- update the requires
- update the libname patch

* Thu Nov 29 2001 Florin <florin@mandrakesoft.com> 1.7.4-1mdk
- 1.7.1
- new libname patch

* Mon Nov 19 2001 Florin <florin@mandrakesoft.com> 1.7.3-1mdk
- 1.7.3

* Fri Oct 19 2001 Florin <florin@mandrakesoft.com> 1.7.1-1mdk
- 1.7.1

* Wed Sep 19 2001 Florin <florin@mandrakesoft.com> 1.6.1-2mdk
- update the fix patch

* Tue Sep 11 2001 Florin <florin@mandrakesoft.com> 1.6.1-1mdk
- 1.6.1
- add the fix patch

* Tue Aug 14 2001 Florin <florin@mandrakesoft.com> 1.6.0-2mdk
- modify a little bit the patch and merge with redhat

* Tue Aug 14 2001 Florin <florin@mandrakesoft.com> 1.6.0-1mdk
- 1.6.0

* Sun Jul 22 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.5.6-1mdk
- 1.5.6 (reworked patch 0)

* Sun Jun 24 2001 Stefan van der Eijk <stefan@eijk.nu> 1.1.1-4mdk
- add description
- bzipped patches

* Thu Jun 21 2001 Stefan van der Eijk <stefan@eijk.nu> 1.1.1-3mdk
- BuildRequires:	XFree86-devel

* Sun Jun 10 2001 Stefan van der Eijk <stefan@eijk.nu> 1.1.1-2mdk
- BuildRequires:	pwlib-devel

* Mon Jan 15 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.1.1-1mdk
- first Linux-Mandrake version.
